> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific comment by ID



## OpenAPI

````yaml /api-reference/openapi/launch-forum-v1.yaml get /comment/id
openapi: 3.0.3
info:
  title: Raydium Launch Forum API
  description: >-
    Discussion API for LaunchLab pools. Post and retrieve comments on mint
    tokens. Requires `ray-token` header (JWT from Auth API) for write
    operations.
  version: 1.0.0
servers:
  - url: https://launch-forum-v1.raydium.io
    description: Mainnet
  - url: https://launch-forum-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Comments
    description: Post and retrieve pool comments
  - name: Utilities
    description: Health checks
paths:
  /comment/id:
    get:
      tags:
        - Comments
      summary: Get a specific comment by ID
      operationId: getCommentId
      parameters:
        - name: id
          in: query
          required: true
          schema:
            type: integer
          description: Comment ID
      responses:
        '200':
          description: Comment details
        '500':
          description: Comment not found or deleted

````